Loading...
Searching...
No Matches
Opm::EclIO::SummaryNode Struct Reference

## Public Types

enum class | Category { Well , Group , Field , Region , Block , Connection , Completion , Segment , Aquifer , Node , Miscellaneous }
enum class | Type { Rate , Total , Ratio , Pressure , Count , Mode , ProdIndex , Undefined }
using | number_renderer = std::function<std::string(const SummaryNode&)>

## Public Member Functions

std::string | unique_key () const
std::string | unique_key (number_renderer) const
bool | is_user_defined () const
std::optional< std::string > | display_name () const
std::optional< std::string > | display_number () const
std::optional< std::string > | display_number (number_renderer) const

## Static Public Member Functions

static Category | category_from_keyword (const std::string &)
static std::string | normalise_keyword (const Category category, const std::string &keyword)
static std::string | normalise_region_keyword (const std::string &keyword)
static std::string | normalise_keyword (const std::string &keyword)
static bool | miscellaneous_exception (const std::string &keyword)

## Public Attributes

std::string | keyword {}
Category | category { Category::Miscellaneous }
Type | type { Type::Undefined }
std::string | wgname {}
int | number {}
std::optional< std::string > | fip_region {}
std::optional< lgr_info > | lgr {}

## Static Public Attributes

static constexpr int | default_number { std::numeric_limits<int>::min() }

The documentation for this struct was generated from the following files:

- opm/io/eclipse/SummaryNode.hpp
- opm/io/eclipse/SummaryNode.cpp